This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622263 - [RFE] add a few programs useful for system recovery or user support to livecds
[RFE] add a few programs useful for system recovery or user support to livecds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 09:36 EDT by François Cami
Modified: 2012-08-16 14:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description François Cami 2010-08-08 09:36:03 EDT
Description of problem:
The current (f14) livecd spins do not include the following packages:
* fpaste
* testdisk

These are really useful when recovering systems, or for debugging. We (IRC helpers) need those when doing user support. Of course, installing via yum works, but it would be nice to have those packages directly available. Please include them in the desktop spin if at all possible.
Comment 1 Jasper O'neal Hartline 2010-08-08 09:58:02 EDT
I also agree these are useful for including on the Live media if it is possible.
They are small packages and shouldn't run over the space limit on the desktop spin for fitting on 750MB CD media which is the standard and most common.

fpaste is useful for getting output pertaining to a system where someone may be having problems partitioning, or testing if a device module is claiming a device, when they say thier sound doesn't work or some other error related to using LiveCD media to test the compatibility of Fedora OS on a machine.

TestDisk is useful for recovering failed partitions when doing the liveinstall method from a LiveCD, if all attempts have been made using fdisk, hexdump or ntfsprogs to recover a disk which has failed at the partitioning steps which is common for NTFS in particular, but also TestDisk is useful for VFAT, NTFS, EXT2, and EXT3, among other filesystem and partition types.

LiveCD media is not only used for compatibility between hardware and software testing, but for use as a recovery platform, it is ready to go and with these tools will make the LiveCD that much more usable.
Comment 2 Kevin Fenzi 2010-08-08 12:30:47 EDT
I already started a discussion on adding fpaste on the spins list: 

http://lists.fedoraproject.org/pipermail/spins/2010-August/001355.html
Comment 3 Fedora End Of Life 2012-08-16 14:36:33 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.